Last Comment Bug 80479 - odeon.co.uk - Page won't display - document.layers/document.all
: odeon.co.uk - Page won't display - document.layers/document.all
Status: RESOLVED FIXED
[havefix][havecontact] [bug248549notf...
: top50
Product: Tech Evangelism Graveyard
Classification: Graveyard
Component: English Other (show other bugs)
: unspecified
: All All
: P4 normal
: ---
Assigned To: english-other
:
:
Mentors:
http://www.odeon.co.uk/Odeon/home.html
: 124378 147582 165904 188871 214221 233916 odeon 238047 247731 248285 274479 298526 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-12 11:24 PDT by John Hayward-Warburton
Modified: 2015-04-19 23:39 PDT (History)
26 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
global.js, fixed (3.63 KB, application/x-javascript)
2002-09-16 02:42 PDT, Mathieu Pillard [:mat]
no flags Details
Display.page?page=menus.js , fixed (23.17 KB, application/x-javascript)
2002-09-16 04:29 PDT, Mathieu Pillard [:mat]
no flags Details

Description John Hayward-Warburton 2001-05-12 11:24:25 PDT
This page uses document.layers/document.all as a browser detection mechanism.
This is, apparently, a brand new site. Many, many site builders are doing this!
Too many -- but it's spreading.
Comment 1 Jason Johnston 2001-05-12 13:01:18 PDT
Confirmed.
Comment 2 Andreas M. "Clarence" Schneider 2001-05-12 13:36:14 PDT
Confirmed (really).
Comment 3 John Hayward-Warburton 2001-05-12 15:47:01 PDT
Sites like this *really* wind me up. Odeon is one of the UK's most important
cinema chains. To be excluded from viewing their website (running Linux, as I
do) is insulting.

Who writes to them? Can I, as a reporter resident in the UK, send a polite note?
Comment 4 Bob Clary [:bc:] 2001-05-12 17:01:58 PDT
John,

Yes please do send them a note.  Explain to them why their page fails in Mozilla
and how they might change it to support Mozilla. Give them the link to this bug
report as well.

This is what they currently have in js/global.js

 var doc, stylo, pxt, pxl, large, longue, n4;

	if (document.layers) {
	    doc = 'document.';
	    stylo = '';
	    pxt = '.top';
	    pxl = '.left';
	    large = innerWidth; longue = innerHeight;
	    window.captureEvents(Event.RESIZE);
	    window.onresize = tienstoibien;
	    n4 = 1;
	    }
	    
	if (document.all) {
	    doc = 'document.all.';
	    stylo = '.style';
	    pxt = '.pixelTop';
	    pxl = '.pixelLeft';
	    n4 = 0;
	    }

Note that Mozilla/Netscape 6 are excluded from these tests. I believe they can
support Mozilla if they change the code to the following (although I have not
tested this)

 var doc, stylo, pxt, pxl, large, longue, n4;

	if (document.layers) {
            // Navigator 4.x
	    doc = 'document.';
	    stylo = '';
	    pxt = '.top';
	    pxl = '.left';
	    large = innerWidth; longue = innerHeight;
	    window.captureEvents(Event.RESIZE);
	    window.onresize = tienstoibien;
	    n4 = 1;
	    }
        else if (window.captureEvents) {
            // Netscape 6
            doc = 'document.';
            stylo = '.style';
            pxt = '.top';
            pxl = '.left';
            large = innerWidth; 
            longue = innerHeight;
            n4 = 0;
            }
	else if (document.all) {
            // IE4+
	    doc = 'document.all.';
	    stylo = '.style';
	    pxt = '.pixelTop';
	    pxl = '.pixelLeft';
	    n4 = 0;
	    }

You can mention also that Netscape 6 is based upon Mozilla and that currently
Netscape 6 users are excluded from using their site.

Be polite, professional and encourage them to update their site to support
Mozilla and Netscape 6. Do not flame them.  Remember you are asking them to
modify and test their site using Mozilla/Netscape 6.  Be sure to include links
to www.mozilla.org especially http://www.mozilla.org/docs/web-developer/.

When you are done, please comment the bug again as well as if/when they respond
to you.

Thanks,
Bob
Comment 5 timeless 2001-05-12 21:11:37 PDT
there's also The Ultimate JavaScript Client Sniffer 
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html
Comment 6 Bob Clary [:bc:] 2001-07-10 05:14:57 PDT
Arun, I'm giving you all the Linux bugs. If these bugs can be confirmed for
other OS's please (someone) change the Platform/OS to All/All and reassign to
the default Evangelism Component Owner.
Comment 7 Bob Clary [:bc:] 2001-07-11 04:05:50 PDT
This is not Linux specific, Platform/OS -> All/All. Over to Intl Team
Comment 8 z-aillon.c-obsolete2 2001-09-17 20:47:09 PDT
Moving to new component "West Europe".  European component is being removed. 
See bug 95808 for details.
Comment 9 Stuart Children 2002-04-29 09:45:50 PDT
I echo the annoyed sentiments - this is one of two websites I actually use that
is impossible (rather than just difficult) for me to view without using IE due
to broken coding/hosting. I got reminded yesterday when I went to check on
screening times, and that prompted me to see if an evangelism bug existed for
it.

After finding this one I fired off an email to info@odeonuk.com and got a reply
back a couple of hours later. It was very polite and thanking. The guy agreed
with what I said (I also mentioned a couple of usability points - the site is a
bit nasty even when using IE IMO). However, I quote:

    ODEON always strides to deliver fully accessible and quality services to
    it's customers, however it is easy to see in this case, a small minority
    has been over-looked.

    The ODEON website is designed to be fully compatible with Internet Explorer
    (versions 4 and above) and we have had very few problems regarding this
    browser and I am sure you will agree, this is the most commonly used
    web browser in the world today.

Not quite the point really (writing decent HTML which will then "just work" on
any decent browser is), but this is how people/companies think. Hopefully more
people emailing them will change this thinking - so if you use the Odeon
website, let them know your thoughts!

    However, from personal experience I am aware the site does not work with
    Netscape Navigator however I have no experience with other smaller browsers
    such as Opera and Mozilla.

Awareness issues here too. I assume he means NN 4.x (I did explicitly
mentioned Netscape 6 in my original email). Let's hope Mozilla (or at least the
Gecko engine) takes over the world and we'll see less of this. :)

    The ODEON website is due for a face-lift at the beginning of the new year
    and I am 100% certain that these problems will be fully addressed when the
    new site is constructed.

Hmm. Another eight months as it is - great. Again, perhaps more pestering will
change this. Especially if someone can provide some replacement code that
definitely works to send them (if I have some spare time I'll grab their source
and do this myself). Reassurances from this guy are very nice, but he doesn't
appear to be on the web team so I have to say I'll believe the new site will
work when I see it.

Does anyone know a good way of getting hold of the actual techies in situations
like this?

Cheers
Stuart
Comment 10 Frederic Bezies 2002-05-28 11:06:03 PDT
*** Bug 147582 has been marked as a duplicate of this bug. ***
Comment 11 lsof 2002-08-26 09:12:42 PDT
The site is still unusable using Mozilla. Has there been any response from Odeon?
Comment 12 Boris Zbarsky [:bz] (still a bit busy) 2002-08-31 06:47:39 PDT
*** Bug 124378 has been marked as a duplicate of this bug. ***
Comment 13 Boris Zbarsky [:bz] (still a bit busy) 2002-08-31 06:47:45 PDT
*** Bug 165904 has been marked as a duplicate of this bug. ***
Comment 14 Brian Keay 2002-08-31 17:23:30 PDT
The Odeon webpage seems to work fine with Netscape® Communicator 4.75.
Comment 15 Mathieu Pillard [:mat] 2002-09-16 02:38:18 PDT
fixing http://www.odeon.co.uk/Odeon/js/global.js makes the intro effect (menus
coming from the bottom and the top of the screen) work. performance is kinda
sucky, so modifying a little home.html, namely the 2 js functions rise() and
fall() is required, here are the fixed versions :

function rise() {
			ydiff = ystart - yy;
			if ((ydiff < -1) || (ydiff > 1)) movey = Math.round(ydiff/10), ystart -= movey;
			if (document.getElementById)
			{
				document.getElementById('nfilms').style.top = ystart + "px";
				document.getElementById('nbtscreens').style.top = ystart + "px";
			}
			else
			{
				eval(doc + 'nfilms' + stylo + pxt + '=' + ystart);
				eval(doc + 'nbtscreens' + stylo + pxt + '=' + ystart);
			}
			if (ydiff == -5 || ydiff == 5) { drop(); return }
			setTimeout("rise()",50);
			}

		function fall() {
			ydiff2 = ystart2 - (yy+9);
			if ((ydiff2 < -1) || (ydiff2 > 1)) movey = Math.round(ydiff2/10), ystart2 -= movey;
			if (document.getElementById)
			{
				document.getElementById('nregister').style.top = ystart2 + "px";
				document.getElementById('ncinemas').style.top  = ystart2 +  "px";
				document.getElementById('nbooknow').style.top  = ystart2 + "px";
			}
			else
			{
				eval(doc + 'nregister' + stylo + pxt + '=' + ystart2);
				eval(doc + 'ncinemas' + stylo + pxt + '=' + ystart2);
				eval(doc + 'nbooknow' + stylo + pxt + '=' + ystart2);
			}
			if (ydiff2 == -5 || ydiff2 == 5) return;
			setTimeout("fall()",100);
			}


I will attach a fixed version of global.js

then, a little more tweaking is required to get the menus to work properly.
I will also provide a fix for that :)
Comment 16 Mathieu Pillard [:mat] 2002-09-16 02:42:11 PDT
Created attachment 99344 [details]
global.js, fixed

makes the intro work in gecko browsers.
Comment 17 Mathieu Pillard [:mat] 2002-09-16 04:29:18 PDT
Created attachment 99350 [details]
Display.page?page=menus.js , fixed

this replaces http://www.odeon.co.uk/pls/Odeon/Display.page?page=menus.js
my fix is _very_ ugly, cause I didnt have enough time to figure what was
exaclty going on, but it works :)
Comment 18 lsof 2002-11-07 12:34:24 PST
Ack! I need to check cinema times!
Comment 19 Ian McCall 2002-12-24 01:24:39 PST
Follow-up mail to info@odeonuk.com, webmaster@odeon.co.uk and
webmaster.odeonuk.com sent. Have politely mentioned that fixed code is available
at this location.
Comment 20 Ruslan Ismailov 2003-01-13 03:08:14 PST
*** Bug 188871 has been marked as a duplicate of this bug. ***
Comment 21 home 2003-03-10 07:37:22 PST
Have also contacted webmaster@odeon.co.uk with a polite email telling them about
the fix, also mentioning the forthcoming (current for Mac) use of the Gecko
rendering engine by AOL.
Comment 22 home 2003-03-10 08:03:34 PST
webmaster@odeon.co.uk bounced back - have resent to info@odeonuk.com.
Comment 23 home 2003-03-10 12:34:08 PST
Reply from Odeon:
~~~~~~~~~~~~~~~~~~
Dear Anthony,

Thank you for your email.

We are aware that the ODEON website does have some problems with particular
browsers. We
have engineers looking into this at the moment and it should be fine in the
next few weeks.

With Regards,

Andrina
~~~~~~~~~~~~~~~~~~

Perhaps the bug will be closed by the end of the month...

Comment 24 Bob Clary [:bc:] 2003-06-13 12:00:31 PDT
tech evang june 2003 reorg
Comment 25 Nick Cross 2003-07-22 04:10:41 PDT
Have just spoken to Odeon web team; they have no proposed date for
fix....mentioned it won't work on conforming browsers etc asked to pass the
message on to management.
Comment 26 Andy Kimbrey 2003-07-28 16:49:27 PDT
*** Bug 214221 has been marked as a duplicate of this bug. ***
Comment 27 James Hardy 2003-08-14 10:17:09 PDT
Hello all,

I want to get involved in the evangelism project and since this particular site
has been annoying me for over two years now, I thought I'd start with this one.
I am considering sending a letter to the marketing manager pointing out that
their site is not compliant with section 19 of the Disability Discrimination Act
(1995) -
http://www.legislation.hmso.gov.uk/acts/acts1995/Ukpga_19950050_en_4.htm#mdiv19

and that if they write their website to web standards in order to meet these
needs it will work for the 10% of potential customers that they currently exclude.

Is this sort of approach considered a good idea or should I stick to the techy
form letters. I just worry that the problem here is higher management thinking
it doesn't matter so the techies can't help.

Comment 28 Ian Neal 2003-08-17 14:05:20 PDT
I cannot see how this would effect someone with a disability any more or less
than someone without a disability unless Mozilla in some way offers better
facilities than IE/Netscape4.x for those users with a disability.
Comment 29 James Hardy 2003-08-17 15:01:05 PDT
My actual thinking was that this pure javascript menu can't be used by screen
readers and, even in ie it can't be accessed using only a keyboard for those
people who have motor problems. Text only browers used by a lot of blind people
of access webpages such as such as blynx would render the page as

- 
REGISTER
FILMS
CINEMAS
BEHIND THE SCENES
BOOK NOW
-

None of these being links. therefore unaccesable to a blind user. If they
redesign the site such that it has actual content written to the browser and
only use javascript as an enhancement, (rather than having the whole thing as a
bloated buggy javascript application). This would benefit not just those blind
people using text browsers but also us mozilla(-based browser) users. I'm
looking at it more as a backdoor, given the choice between redesigning the site
to accomodate 10% of your market and not - they seem to have taken the choice to
do nothing. If we give them the choice between redesigning the site and being
prosecuted under relevent legislation - I think their choice would be
substantially different.

I'm not asking them to make it available to mozilla as well as ie, I want it
available to all browsers.
Comment 30 Ian McCall 2003-08-17 15:06:41 PDT
I hate to be indelicate here, but why would blind users be accessing a cinema site?

I can agree with the motor problems however.
Comment 31 James Hardy 2003-08-18 06:19:58 PDT
A blind parent wishing to take their sighted children to the cinema would need
to check times. I used to work in a cinema and it did happen fairly often.

Fair do's though I can't see this one being at the top of the RNIB hit list, but
I still think it is important from a basic accessibility view point.
Comment 32 Andrew Wood 2003-09-05 04:21:56 PDT
Note the general poor design of the Odeon site was referred to in the
Independent newspaper this week -
http://news.independent.co.uk/digital/features/story.jsp?story=439760
and someone has designed an alternative which is more accessible, easy to use
and works cross platform (link is at the end of the article)
Comment 33 Andrew Wood 2003-12-24 00:29:15 PST
The Independent article is now pay only but the site referenced can be found at
http://www.dracos.co.uk/odeon/
Comment 34 José Jeria 2004-02-11 13:32:58 PST
*** Bug 233916 has been marked as a duplicate of this bug. ***
Comment 35 José Jeria 2004-02-15 10:12:19 PST
*** Bug 234432 has been marked as a duplicate of this bug. ***
Comment 36 David Illsley 2004-04-06 13:44:20 PDT
*** Bug 238047 has been marked as a duplicate of this bug. ***
Comment 37 Bradley Chapman (not reading bugmail, still gone but not forever) 2004-04-11 04:09:59 PDT
Just to add another nail to the coffin of this website:

http://www.odeon.co.uk/pls/odeon/Display.page?page=menu_items.js
http://www.odeon.co.uk/pls/odeon/Display.page?page=menus.js

Both of these JS files are sent with the wrong MIME type (text/html instead of
text/javascript or application/x-javascript).

I wonder if they'll ever fix this site.
Comment 38 Scott MacVicar 2004-04-27 05:33:10 PDT
Emailed odeon again regarding this problem
Comment 39 Scott MacVicar 2004-04-27 07:01:52 PDT
Reply today
-----
Please accept my apologies for any lack of functionality you have encountered 
whilst using the ODEON Website. I can appreciate your frustration as an 
Internet user that you would like to use your browser of choice. However I'm 
sure you can appreciate from our point of view that we want to make our website 
as readily available to the general public as possible.

As a result it made sense to invest heavily into our web site to ensure 
immediate functionality with the world's most popular and well used Web 
Browser "Microsoft Internet Explorer". A significant majority of the world's 
internet users have IE installed on their machine even if it is not their first 
choice of browser so the option to access the ODEON Website through this medium 
is always on offer to the customer.

However I am happy to inform you that ODEON is investing time and effort into 
ensuring functionality across the many Web Browsers available to Internet 
Users, hopefully including Netscape Navigator and other Gecko based Web 
Browsers such as Opera and MoZilla.

Regards,

Nick
-----

Hopefully we should see a resolution soon.
Comment 40 Ian McCall 2004-04-27 07:11:13 PDT
> "However I'm  sure you can appreciate from our point of view that
> we want to make our website as readily available to the general
> public as possible."

Self-contradictory. The supplied fixes don't break IE, they only add the ability
to use Mozilla (and Safari for that matter). So "to make our website as readily
available to the general public as possible", the answer is to apply the fix.
Doesn't annoy your existing IE-based customers, adds the ability to talk to the
rest.

Irritating.
Comment 41 Matthew Somerville 2004-05-08 16:24:31 PDT
Regarding the reply Scott MacVicar received from Odeon, that's an exact copy of 
the email a friend of mine received back in May 2003, which started me on the 
way to create http://www.dracos.co.uk/odeon/ - I'd just use that instead. :-)
Comment 42 José Jeria 2004-06-19 16:00:14 PDT
*** Bug 247731 has been marked as a duplicate of this bug. ***
Comment 43 HARUNAGA Hirotoshi 2004-06-23 04:33:37 PDT
*** Bug 248285 has been marked as a duplicate of this bug. ***
Comment 44 Tim Clarke 2004-07-14 09:39:22 PDT
I have sent my own little missive to Ode*n. I hope they fix it soon or I'll just
go to the new Cineworld that's opened up locally...seriously.
Comment 45 Bastien Nocera 2004-07-14 10:54:13 PDT
I'd like to point out that the Accessible Odeon website pointed out by Matthew
has shut, by the will of Odeon's lawyers:
http://bugzilla.mozilla.org/show_bug.cgi?id=80479#c41
Comment 46 Bogdan Stancescu 2004-07-16 07:47:24 PDT
Just for the record, the story ran in El Reg
(http://www.theregister.co.uk/2004/07/14/odeon_disabled_website/), and was
commented at length by the readers
(http://www.theregister.co.uk/2004/07/16/letters_1607/), one of whom has also
provided a link back to this bug (Bastien Nocera, fourth comment on that page).
Comment 47 Alex Wright 2004-07-16 11:16:27 PDT
I've just sent the following email: 

>Dear Odeon Uk,
>
>After reading several reports of security holes in Microsoft's Internet
>Explorer, (e.g.
>http://www.theregister.co.uk/2004/06/28/cert_ditch_explorer/), I have changed
>to Mozilla's Firefox. This browser appears to be highly recommended, and far
>more secure than IE.

>Your website www.odeon.co.uk does not work with this browser. Please can you
>fix your website to work with this browser, or suggest a free secure
>alternative to IE.

Not expecting much back mind.

As an aside, the site works just fine in Konqurer, so long as as you get it to
pretend its IE.
Comment 48 Chris Puttick 2004-07-17 04:06:18 PDT
Dracos accessible site has now been removed after threat of legal action by the
Odeon. See http://www.dracos.co.uk/odeon/ for more details.

However, this misinformed action has revealed the name of the man to contact
directly - Luke Vetere, the marketing director <LVetere@odeonuk.com>. I have had
great success going straight to the top regarding compatibility issues of
commercial websites (M&S, Argos) as any sane business person does not like to
risk losing 10% of potential customers!

Polite emails only - I recommend the signature tagline "Fanatical about
functional websites"  ;-).

Cheers

Chris
Comment 49 Chris Puttick 2004-07-17 04:35:13 PDT
My email of the 17th - I'll post any interesting reply.

Dear Mr Vetere

With regard to your recent actions forcing the removal of the accessible
version of your company's website:

Why, if your company insists on publishing a site that does not function
in all W3C compliant web browsers, did you feel the need to demand the removal
of a website that allowed potential customers to access show times and other
information? The issue with your current website was first communicated to the
company over 3 years ago, and a number of times since.

A fix for the poor programming was made available for free in September
2002; this fix would not change how the site works for those who can access
it, but would open it up to those who choose to use other browsers, who
make up around 10% (a statistic showing consistent growth) of UK web users i.e
potential customers.

The fix can be found here:

http://bugzilla.mozilla.org/show_bug.cgi?id=80479

To also open up your site to disabled customers would require further work,
but not a significant amount for an experienced and skilled web development
team.

As someone who has been involved in managing the development of complex
websites and web applications, I can assure you that creation of accessible
(in both senses)  yet glossy and attractive websites is not difficult, it
just requires the developers to be aware of the issues caused by poor testing of
the site in development phases.

For your information, all of your competitor's websites are accessible.
I have attached a screenshot of what can be seen of your sites content.

If you need any further assistance, please do not hesitate to contact me.

Regards

Chris Puttick

"Fanatical about functional websites"
Comment 50 Andy Kimbrey 2004-07-17 06:12:37 PDT
Sent an email similar to Chris Puttick's to Mr. Vetere. Not expecting any form
of reply, but hopefully if we petition him this way he will fix the website.
Comment 51 Tom Cumming 2004-07-20 13:41:38 PDT
I have also sent them an email. Doubt it will make any difference, but you never
know..
Comment 52 Chris Miles 2004-08-05 14:08:15 PDT
I have written to info@odeonuk.com:
Subject: Web site not working

Hello,

I have just been directed to your web site
(http://www.odeon.co.uk/Odeon/home.html) in order to review films and time of
showing.

I am sorry to report that all I see is a blurred image of the text "odeon" and
nothing further happens, there are no buttons or links displayed and clicking on
the image does not enter the site.

Perhaps you could ask your technical people to check it out?

Many thanks,
 Chris Miles

Comment 53 Bradley Chapman (not reading bugmail, still gone but not forever) 2004-10-09 10:41:28 PDT
Well folks, it seems that the constant stream of e-mails regarding Odeon's
broken site have finally received a partial response.

http://www.odeon.co.uk/pls/Odeon/Odeon_text.region_list currently displays film
times for all Odeon locations.
Comment 54 Doug Wright 2004-11-04 05:51:29 PST
Yes, but it's an ugly text-only version implemented so they don't fall
*completely* foul of the DDA (disability discrimination act).

The fact that Gecko users can now view (some) of the content is secondary, and
we still can't book tickets. The 'accessible' version is literally a list of
film times - no ticket booking, no information on the films etc.
Comment 55 :Gavin Sharp [email: gavin@gavinsharp.com] 2004-12-14 01:19:36 PST
*** Bug 274479 has been marked as a duplicate of this bug. ***
Comment 56 Matthew Somerville 2005-05-15 08:04:09 PDT
I have created a GreaseMonkey script for this site, which enables it to work in
Firefox. Hope this is useful. :) http://www.dracos.co.uk/odeon/odeon.user.js
(more information on http://www.dracos.co.uk/odeon/ )
Comment 57 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-06-24 17:00:40 PDT
*** Bug 298526 has been marked as a duplicate of this bug. ***
Comment 58 Bradley Chapman (not reading bugmail, still gone but not forever) 2005-06-25 03:40:19 PDT
It seems that the constant evangelism of Odeon has succeeded at last - the site
is now fully usable in Gecko-based browsers, with all content accessible,
including the booking of tickets.

Should this bug be RESOLVED now?
Comment 59 Ian Neal 2005-06-25 04:53:53 PDT
They have had their text version available for a while, they still need to fix
their main pages - see URL in URL field.
Comment 60 Chris Puttick 2005-06-25 05:14:53 PDT
http://www.odeon.co.uk/Odeon/home.html still just an image for me (Deerpark
Alpha 1).

Cheers

Chris
Comment 61 Ian Thomas ('thelem') 2005-09-12 16:52:45 PDT
Adding the top50 keyword to indicate that this has been frequently reported
using the "Report Broken Web Site" feature in Mozilla 1.5 beta 1. At the moment
it is the 9th most reported website.
Comment 62 Alex Tanner 2005-11-25 12:57:51 PST
Comment #58 is no longer valid. I tried the site in Firefox 1.0.7 and it looks like the original bug has resurfaced. No response from info@odeonuk.com, either. Are you sure, Bradley, that the evangelism effort has worked?
Comment 63 Bob Clary [:bc:] 2005-11-25 13:25:34 PST
Error: undefinedmenusundefined is not defined
Source File: http://www.odeon.co.uk/Odeon/js/global.js
Line: 36

looking at the source it is still nav4/ie4 only crap.
Comment 64 Bradley Chapman (not reading bugmail, still gone but not forever) 2005-11-27 04:40:01 PST
(In reply to comment #62)
> Comment #58 is no longer valid. I tried the site in Firefox 1.0.7 and it looks
> like the original bug has resurfaced. No response from info@odeonuk.com,
> either. Are you sure, Bradley, that the evangelism effort has worked?
> 

http://www.odeon.co.uk/pls/Odeon/Odeon_text.region_list is the Gecko-compatible site.
Comment 65 Alex Tanner 2005-12-06 11:55:41 PST
But the Gecko-compatible version of the site doesn't have all the features that the IE version has and it looks ****. It is an insult to Mozilla's capabilities and Odeon should do something about this. So, I've sent a long rant to bookings@odeonuk.com this time.
I've tried using the latest Greasemonkey script for the Odeon site but this only fixes the homepage. Other javascript on the site is broken.
Comment 66 Alex Tanner 2005-12-13 04:24:30 PST
Try contacting studio@lateral.net- They are responsible for the Odeon site design. Good luck!
Comment 67 ruben 2006-02-28 08:34:38 PST
Odeon and UCI are now both part of a venture capital company which is merging the two to make Odeon. Maybe Odeon will learn something from UCI's site, which is much better. In the meantime, I have made a Greasemonkey script with help from Matthew Somerville, the original author of Accessible Odeon. It's available at http://gm.wackomenace.co.uk/odeon/. It may help seeing as Odeon aren't really the most co-operative lot...
Comment 68 Jo Shields 2006-05-04 06:00:00 PDT
This bug should now be closed. Odeon.co.uk has been rebuilt from scratch. It's not completely valid HTML, true, but it works well enough to render fine not only in Mozilla browsers, but in things like Lynx too.
Comment 69 Sander 2006-05-04 06:02:13 PDT
Indeed looks pretty good. Marking fixed.
Comment 70 Ian McCall 2006-05-04 06:10:50 PDT
You're closing the bug? Really? I feel like I've lost an old friend...

Note You need to log in before you can comment on or make changes to this bug.